import request from "@/utils/request";
/**
 * 预约管理
 * */
// 项目列表
export function getShopProjectList(data) {
  return request({
    url: `/shop/ShopProject/list`,
    method: "post",
    data,
  });
}
// 添加项目
export function addShopProject(data) {
  return request({
    url: `/shop/ShopProject/add`,
    method: "post",
    data,
  });
}
// 修改项目
export function updateShopProject(data) {
  return request({
    url: `/shop/ShopProject/update`,
    method: "post",
    data,
  });
}
// 删除项目
export function deleteShopProject(data) {
  return request({
    url: `/shop/ShopProject/delete`,
    method: "post",
    data,
  });
}
// 上下架
export function setShopProject(data) {
  return request({
    url: `/shop/ShopProject/set_shop`,
    method: "post",
    data,
  });
}
// 项目详情
export function detailsShopProject(data) {
  return request({
    url: `/shop/ShopProject/details?id=${data.id}`,
    method: "get",
    data:data,
  });
}
// 预约详情
export function detailsSubscribe(data) {
  return request({
    url: `/shop/ShopSubscribe/details?id=${data}`,
    method: "get",
    data:data,
  });
}

// 服务预约
export function addSubscribe(data) {
  return request({
    url: `/shop/ShopSubscribe/add`,
    method: "post",
    data:data,
  });
}
// 修改预约
export function updateSubscribe(data) {
  return request({
    url: `/shop/ShopSubscribe/update`,
    method: "post",
    data:data,
  });
}
// 预约支付
export function paymentSubscribe(data) {
  return request({
    url: `/shop/ShopSubscribe/confirm_payment`,
    method: "post",
    data:data,
  });
}
// 取消预约
export function cancelSubscribe(data) {
  return request({
    url: `/shop/ShopSubscribe/cancel`,
    method: "post",
    data:data,
  });
}
// 预约列表
export function getSubscribeList(data) {
  return request({
    url: `/shop/ShopSubscribe/list`,
    method: "post",
    data:data,
  });
}